Subject: bug#17047: closed (Re: bug#17047: 24.3.50; visual-line-mode + org-mode + C-f makes cursor jumps to unexpected position)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 23 Mar 2014 16:04:02 +0000

Your bug report

#17047: 24.3.50; visual-line-mode + org-mode + C-f makes cursor jumps to unexpected position

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
17047: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=17047
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#17047: 24.3.50; visual-line-mode + org-mode + C-f makes cursor jumps to unexpected position
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sun, 23 Mar 2014 18:02:48 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Thu, 20 Mar 2014 19:34:41 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > Date: Thu, 20 Mar 2014 19:24:46 +0200
> > From: Eli Zaretskii <[email-masked]>
> > Cc: [email-masked]
> > 
> > > From: Nicolas Richard <[email-masked]>
> > > Date: Thu, 20 Mar 2014 14:17:04 +0100
> > > Cc: [email-masked]
> > > 
> > > Nicolas Richard <[email-masked]> writes:
> > > 
> > > > * foo
> > > >  f[[file:xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx]]
> > > 
> > > Sorry, the initial 'f' on the second line should not be there. Here's
> > > the correct file as attachment.
> > 
> > Ugh, and I already wasted an hour trying to reproduce this, and was
> > about to tell you I can't.
> > 
> > Thanks for the fixed recipe.
> 
> Interim report: a very old bug, I see it in Emacs 23.1 (didn't try
> earlier).

Fixed in revision 116843 on the emacs-24 branch.

Note that moving cursor to the "f" of "file" from the left will get
you to position 8, while moving there from the right will get you to
position 10.  But this is a separate "feature".

Also note that this situation is one of the small number where
visual-order-cursor-movement works differently from the default
logical-order one, even though there's no bidirectional context
anywhere in sight.  And that is also a feature.

Thanks.

Subject: 24.3.50; visual-line-mode + org-mode + C-f makes cursor jumps to unexpected position
From: Nicolas Richard <[email-masked]>
To: [email-masked]
Date: Thu, 20 Mar 2014 10:33:14 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I run (with latest trunk, but the problem exists in earlier builds too) :

$ src/emacs -Q ~/tmp/testemacs.org
then do:
M-x visual-line-mode RET
TAB ;; show the content of the headline
C-x 3 ;; the second line gets wrapped (repeat if needed to achieve effect).
C-n
C-f

At this point, cursor moves erroneously to the end of the headline,
although M-: (point) RET reports 8 as it should (so, only the cursor is
misplaced).

Alternatively, "C-n C-f" can be replaced by "M-g c 8", then inserting
chars shows where point really is.

Here's the testemacs.org file
* foo
 f[[file:xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx]]

In GNU Emacs 24.3.50.6 (i686-pc-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2014-03-07 on geodiff-mac3
Windowing system distributor `The X.Org Foundation', version 11.0.11304000
System Description:	Gentoo Base System release 2.2

Configured using:
 `configure --with-x-toolkit=lucid 'CFLAGS= -O0 -g3''

Important settings:
  value of $LANG: fr_FR.UTF-8
  locale-coding-system: utf-8-unix

-- 
Nico.